{#
/**
 * @file
 * Corporate+s's theme implementation to display a Article node.
 */
#}

{% extends "node.html.twig" %}
{% block node_side %}
  <div class="node__side">
    {% if display_submitted or (node.comment and comment_count > 0) %}
      {% if display_submitted %}
        <div class="node__user-info">
          {% if blog_author_picture_url %}
            <div class="user-picture">
              <div{{ author_attributes }}>
                <article class="contextual-region profile" typeof="schema:Person" about="/user/{{ blog_author_id }}">
                  <div class="field field--name-user-picture field--type-image field--label-hidden field__item">
                    <a href="/blog/{{ blog_author_name|lower|replace(' ', '-') }}">
                      <img src="{{ blog_author_picture_url }}" width="40" height="40"
                           alt="{{ blog_author_picture_alt }}" typeof="foaf:Image" class="image-style-thumbnail">
                    </a>
                  </div>
                </article>
              </div>
            </div>
          {% endif %}
          {{ metadata }}
        </div>
        <div class="node__submitted-date">
          <div class="month">{{ node.createdtime|format_date('custom', 'M') }}</div>
          <div class="day">{{ node.createdtime|format_date('custom', 'd') }}</div>
          <div class="year">{{ node.createdtime|format_date('custom', 'Y') }}</div>
        </div>
      {% endif %}
      {% if node.comment and comment_count > 0 %}
        <div class="node__comments">
          <i class="fa fa-comment"></i>
          <div class="node__comments-count">{{ comment_count }}</div>
        </div>
      {% endif %}
    {% endif %}
  </div>
{% endblock %}
{% block meta_area %}
  {{ title_prefix }}
  {% if not page %}
    <h2{{ title_attributes.addClass('node__title') }}>
      <a href="{{ url }}" rel="bookmark">{{ label }}</a>
    </h2>
  {% endif %}
  {{ title_suffix }}
  {% if display_submitted %}
    <div class="node__meta">
      <span{{ author_attributes.addClass('node__submitted-info') }}>
        {% trans %}<span class="node__submitted-info-text">By</span> {{ blog_author_name }}{% endtrans %}
      </span>
    </div>
  {% endif %}
{% endblock %}
{% block content %}
  {{ attach_library('corporateplus/node-article') }}
  <div class="node__main-content-section">
    {{ content|without('comment') }}
  </div>
  {{ content.comment }}
{% endblock %}
